package com.lindosoft.android.tongue;

import android.graphics.Color;
import android.os.Bundle;
import android.view.ViewGroup;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import java.io.File;

/** Show list of folders. */
public abstract class AbstractFolders extends AbstractList {
  /** Implement this to set the content view. */
  protected abstract int getContentViewId();

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(getContentViewId());
    ArrayAdapter<File> adapter = new ArrayAdapter<File>(this, R.layout.folders_item, R.id.label) {
      public View getView(int position, View convertView, ViewGroup parent) {
        View view = super.getView(position, convertView, parent);
        TextView label = (TextView) view.findViewById(R.id.label);
        label.setText(FolderModel.folders.get(position).getName());
        if (null != FolderModel.folder && position == getPosition(FolderModel.folder)) {
          view.setBackgroundColor(Color.DKGRAY);
        } else {
          view.setBackgroundColor(Color.BLACK);
        }
        return view;
      }
		};
    setListAdapter(adapter);
    registerForContextMenu(getListView());
  }
  
  @Override
  protected void onResume() {
    super.onResume();
    FolderModel.readFolders();
    ArrayAdapter<File> adapter = (ArrayAdapter<File>) getListAdapter();
    adapter.clear();
    for (File file : FolderModel.folders) {
      adapter.add(file);
    }
  }
}