package com.lindosoft.android.tongue;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.TextView;

public class Main extends Activity {
  /** Folders edit clicked. */
  public void onFoldersEdit(View view) {
    Intent intent = new Intent(this, FoldersEdit.class);
    startActivity(intent);
  }

  /** Folders foreign clicked. */
  public void onFoldersForeign(View view) {
    Intent intent = new Intent(this, FoldersForeign.class);
    startActivity(intent);
  }

  /** Folders native clicked. */
  public void onFoldersNative(View view) {
    Intent intent = new Intent(this, FoldersNative.class);
    startActivity(intent);
  }

  /** Help clicked. */
  public void onHelp(View view) {
    String help = "http://android.lindosoft.com/?page_id=179";
    Uri uri = Uri.parse(help);
    Intent intent = new Intent(Intent.ACTION_VIEW, uri);
    startActivity(intent);
  }

  /** Settings clicked. */
  public void onSettings(View view) {
    Intent intent = new Intent(this, Settings.class);
    startActivity(intent);
  }


  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);
  }

  @Override
  protected void onResume() {
    super.onResume();
    MainModel.setPreferences(PreferenceManager.getDefaultSharedPreferences(this));
    TextView textSettings = (TextView) findViewById(R.id.text_settings);
    int id = getResources().getIdentifier("item_preset_" + MainModel.key, "string", getClass().getPackage().getName());
    textSettings.setText(id);
  }
}
