package com.lindosoft.android.tongue;

import android.content.SharedPreferences;
import java.io.File;
import java.util.*;

/** Main shared data. */
public class MainModel {
  public static final String KEY = "preset";
  public static boolean auto = true;
  public static String key = null;
  public static long pause = 0L;
  public static List<String[]> presets = null;
  public static boolean shuffle = true;
  public static int swipeThreshold = 70;
  
  static {
    presets = new ArrayList<String[]>();
    //                               key,    auto,   pause, shuffle
    presets.add(new String[] {   "sort0", "false",     "0", "false"});
    presets.add(new String[] {"shuffle0", "false",     "0",  "true"});
    presets.add(new String[] {   "sort1",  "true",    "10", "false"});
    presets.add(new String[] {"shuffle1",  "true",    "10",  "true"});
    presets.add(new String[] {   "sort2",  "true",  "1000", "false"});
    presets.add(new String[] {"shuffle2",  "true",  "1000",  "true"});
    presets.add(new String[] {   "sort3",  "true",  "2000", "false"});
    presets.add(new String[] {"shuffle3",  "true",  "2000",  "true"});
    presets.add(new String[] {   "sort4",  "true",  "3000", "false"});
    presets.add(new String[] {"shuffle4",  "true",  "3000",  "true"});
    presets.add(new String[] {   "sort5",  "true",  "5000", "false"});
    presets.add(new String[] {"shuffle5",  "true",  "5000",  "true"});
    presets.add(new String[] {   "sort6",  "true", "10000", "false"});
    presets.add(new String[] {"shuffle6",  "true", "10000",  "true"});
    setPreferences(null);
  }

  /** Set preset from preferences. */
  public static void setPreferences(SharedPreferences preferences) {
    String[] preset = presets.get(6);
    key = null == preferences ? null : preferences.getString(KEY, preset[0]);
    for (String[] presetTemp : presets) {
      if (presetTemp[0].equals(key)) {
        preset = presetTemp;
        break;
      }
    }
    auto = Boolean.parseBoolean(preset[1]);
    pause = Long.parseLong(preset[2]);
    shuffle = Boolean.parseBoolean(preset[3]);
  }
}
