package com.lindosoft.android.tongue;

import android.content.SharedPreferences;
import android.graphics.Color;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

/** Show settings. */
public class Settings extends AbstractList {
  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.settings);
    ArrayAdapter adapter = new ArrayAdapter<String>(this, R.layout.settings_item, R.id.label) {
      public View getView(int position, View convertView, ViewGroup parent) {
        View view = super.getView(position, convertView, parent);
        TextView label = (TextView) view.findViewById(R.id.label);
        String key = MainModel.presets.get(position)[0];
        int id = getResources().getIdentifier("item_preset_" + key, "string", getClass().getPackage().getName());
        label.setText(id);
        if (MainModel.key.equals("" + getItem(position))) {
          view.setBackgroundColor(Color.DKGRAY);
        } else {
          view.setBackgroundColor(Color.BLACK);
        }
        return view;
      }
		};
    setListAdapter(adapter);
    for (String[] preset : MainModel.presets) {
      adapter.add(preset[0]);
    }
  }
  
  @Override
  protected void onListItemClick(ListView l, View v, int position, long id) {
    String key = MainModel.presets.get(position)[0];
    SharedPreferences preferences = PreferenceManager.getDefaultSharedPreferences(this);
    SharedPreferences.Editor editor = preferences.edit();
    editor.putString(MainModel.KEY, key);
    editor.commit();
    finish();
  }  
}